Modify

Opened 6 years ago

Last modified 4 years ago

#11369 new enhancement

terminfo doesn't contain xterm-256color

Reported by: swiftgeek+spam@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: Cc:

Description

xterm-256color is utilized by any vte based terminal. Please include it.

Attachments (1)

terminfo-add-xterm-256color.patch (684 bytes) - added by Stefan Hellermann <stefan@…> 5 years ago.
Patch to add xterm-256color to terminfo. Without it, it's really annoying to use ncurses based apps, as Fedora 18 and Mac OS X lion set $TERM to xterm-256color by default.

Download all attachments as: .zip

Change History (5)

comment:1 in reply to: ↑ description Changed 5 years ago by anonymous

Replying to swiftgeek+spam@…:

xterm-256color is utilized by any vte based terminal. Please include it.

e.g. the package bmon fails with "Error opening terminal: xterm-256color."

Changed 5 years ago by Stefan Hellermann <stefan@…>

Patch to add xterm-256color to terminfo. Without it, it's really annoying to use ncurses based apps, as Fedora 18 and Mac OS X lion set $TERM to xterm-256color by default.

comment:2 Changed 5 years ago by Stefan Hellermann <stefan@…>

also send to openwrt-devel:
http://patchwork.openwrt.org/patch/3065/

comment:3 Changed 5 years ago by anonymous

This also prevents 'tmux' from working on a wzr-hp-ag300h. The error is as follows:
open terminal failed: missing or unsuitable terminal: xterm-256color

comment:4 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.